Case-insensitive Files
======================

The Case Insensitive Files module allows users to use case insensitive URLs to request static files, even when Apache `mod_rewite` is used to generate SEO-friendly URLs.  While this should not be necessary when using the Apache `mod_speling` module with `CheckSpelling on` and `CheckCaseOnly on`, the issue is that `mod_rewrite` has priority over `mod_speling`.  So if one specifies a file with the wrong case in /sites/all/files, it handled by Drupal, which does a case-sensitive look-up and returns a 404.  

With the Case Insensitive Files module, if a file is requested and it does not exist, but exists with a different case, a redirect to that different file is generated.

* This only applies to files in `file_public_path`.
* This does not correct the case of the file's parent path

